Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.typedef
Interface TypeLanguageBinding

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface TypeLanguageBinding

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Type Language Binding'.

The following features are supported:

- `Lang`
- `Lang Specific Type`
- `Lang Specific NS`
- `Default Init Value`
- `Null Value Literal`

See Also:
  `TypedefPackage.getTypeLanguageBinding()`

Method Summary
`java.lang.String` | `getDefaultInitValue()` Returns the value of the 'Default Init Value' attribute
`java.lang.String` | `getLang()` Returns the value of the 'Lang' attribute
`java.lang.String` | `getLangSpecificNS()` Returns the value of the 'Lang Specific NS' attribute
`java.lang.String` | `getLangSpecificType()` Returns the value of the 'Lang Specific Type' attribute
`java.lang.String` | `getNullValueLiteral()` Returns the value of the 'Null Value Literal' attribute
`void` | `setDefaultInitValue(java.lang.String value)` Sets the value of the '`Default Init Value`' attribute
`void` | `setLang(java.lang.String value)` Sets the value of the '`Lang`' attribute
`void` | `setLangSpecificNS(java.lang.String value)` Sets the value of the '`Lang Specific NS`' attribute
`void` | `setLangSpecificType(java.lang.String value)` Sets the value of the '`Lang Specific Type`' attribute
`void` | `setNullValueLiteral(java.lang.String value)` Sets the value of the '`Null Value Literal`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLang

    java.lang.String getLang()

  Returns the value of the 'Lang' attribute. codice del linguaggio. E' un codice mnemonico eventualmente utilizzato dalle cartucce di generazione, pertanto non vi sono vincoli a priori sulla codifica da utilizzare.

  Returns:
    the value of the 'Lang' attribute.
  See Also:
    `setLang(String)`, `TypedefPackage.getTypeLanguageBinding_Lang()`

### setLang

    void setLang(java.lang.String value)

  Sets the value of the '`Lang`' attribute.

  Parameters:
    `value` - the new value of the 'Lang' attribute.
  See Also:
    `getLang()`

### getLangSpecificType

    java.lang.String getLangSpecificType()

  Returns the value of the 'Lang Specific Type' attribute. Indica il nome del tipo del linguaggio target, privo dell'eventuale namespace. L'unione di langSpecificNS e langSpecificType rappresenta il full qualified name del tipo. Es, per java:
  - int (namespace: nessuno)
  - String (namespace: java.lang.

  Returns:
    the value of the 'Lang Specific Type' attribute.
  See Also:
    `setLangSpecificType(String)`, `TypedefPackage.getTypeLanguageBinding_LangSpecificType()`

### setLangSpecificType

    void setLangSpecificType(java.lang.String value)

  Sets the value of the '`Lang Specific Type`' attribute.

  Parameters:
    `value` - the new value of the 'Lang Specific Type' attribute.
  See Also:
    `getLangSpecificType()`

### getLangSpecificNS

    java.lang.String getLangSpecificNS()

  Returns the value of the 'Lang Specific NS' attribute. Indica il nome del namespace (pacakge) che contiene il tipo del linguaggio target. N.B: comprende anche un eventuale carattere separatore da anteporre al nome del tipo. L'unione di langSpecificNS e langSpecificType rappresenta il full qualified name del tipo. Es, per java:
  - int (namespace: nessuno)
  - String (namespace: java.lang.

  Returns:
    the value of the 'Lang Specific NS' attribute.
  See Also:
    `setLangSpecificNS(String)`, `TypedefPackage.getTypeLanguageBinding_LangSpecificNS()`

### setLangSpecificNS

    void setLangSpecificNS(java.lang.String value)

  Sets the value of the '`Lang Specific NS`' attribute.

  Parameters:
    `value` - the new value of the 'Lang Specific NS' attribute.
  See Also:
    `getLangSpecificNS()`

### getDefaultInitValue

    java.lang.String getDefaultInitValue()

  Returns the value of the 'Default Init Value' attribute. Indica il valore iniziale che deve essere impostato nel codice rleativo al linguaggio in oggetto, nelle dichiarazioni di variabili che coinvolgono il PrimitiveType.

  Returns:
    the value of the 'Default Init Value' attribute.
  See Also:
    `setDefaultInitValue(String)`, `TypedefPackage.getTypeLanguageBinding_DefaultInitValue()`

### setDefaultInitValue

    void setDefaultInitValue(java.lang.String value)

  Sets the value of the '`Default Init Value`' attribute.

  Parameters:
    `value` - the new value of the 'Default Init Value' attribute.
  See Also:
    `getDefaultInitValue()`

### getNullValueLiteral

    java.lang.String getNullValueLiteral()

  Returns the value of the 'Null Value Literal' attribute. Utilizzato in congiunzione con nillable==true sull'elemento padre PrimitiveType. Permette di impostare il valore nullo da utilizzare per il linguaggio in oggetto. Es. per java: `nullValueLiteral=null`

  Returns:
    the value of the 'Null Value Literal' attribute.
  See Also:
    `setNullValueLiteral(String)`, `TypedefPackage.getTypeLanguageBinding_NullValueLiteral()`

### setNullValueLiteral

    void setNullValueLiteral(java.lang.String value)

  Sets the value of the '`Null Value Literal`' attribute.

  Parameters:
    `value` - the new value of the 'Null Value Literal' attribute.
  See Also:
    `getNullValueLiteral()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD